%define anolis_release 1
Name:		perl-Package-Stash-XS
Version:	0.30
Release:	%{anolis_release}%{?dist}
Summary:	Faster and more correct implementation of the Package::Stash API
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Package-Stash-XS
Source0:	https://cpan.metacpan.org/modules/by-module/Package/Package-Stash-XS-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(B)
BuildRequires:	perl(base)
BuildRequires:	perl(blib)
BuildRequires:	perl(constant)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Needs)
# Dependencies

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This is a back-end for Package::Stash, which provides the functionality in a
way that's less buggy and much faster. It will be used by default if it's
installed, and should be preferred in all environments with a compiler.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}
Buildarch: noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Package-Stash-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorarch}/auto/Package/
%{perl_vendorarch}/Package/
%{_mandir}/man3/Package::Stash::XS.3*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.30-1
- Import package for anolis 23
